org.apache.myfaces.trinidad.component.html

## Class HtmlFrame

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.html.HtmlFrame

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class HtmlFrame
      extends UIXComponentBase

  The frame is used to specify attributes needed by an HTML frame. It does not render any child nodes, and should only be used as a facet on a frameBorderLayout component. The contents of a frame is selected by using the source attribute. On mobile devices a list links to each frame is rendered for a frameBorderLayout, and each frame is brought up as a separate page.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `HEIGHT_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `LONG_DESC_URL_KEY`
    `static PropertyKey` | `MARGIN_HEIGHT_KEY`
    `static PropertyKey` | `MARGIN_WIDTH_KEY`
    `static PropertyKey` | `NAME_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `SCROLLING_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `SOURCE_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HtmlFrame()` Construct an instance of the HtmlFrame.
    `protected` | `HtmlFrame(String rendererType)` Construct an instance of the HtmlFrame.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `String` | `getHeight()` Gets the proposed height of this frame.
    `String` | `getInlineStyle()` Gets the inline CSS style for this element
    `String` | `getLongDescURL()` Gets This attribute specifies a link to a long description of the frame.
    `int` | `getMarginHeight()` Gets the width of the frame margin.
    `int` | `getMarginWidth()` Gets the width of the frame margin.
    `String` | `getName()` Gets the name used to identify this frame
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getScrolling()` Gets whether or not scrollbars are available on this frame.
    `String` | `getShortDesc()` Gets the short description of the bean.
    `String` | `getSource()` Gets the URI for the source of this frame
    `String` | `getStyleClass()` Gets the CSS style class of the bean.
    `String` | `getWidth()` Gets the proposed width of this frame This can be in pixels or percentage.
    `void` | `setHeight(String height)` Sets the proposed height of this frame.
    `void` | `setInlineStyle(String inlineStyle)` Sets the inline CSS style for this element
    `void` | `setLongDescURL(String longDescURL)` Sets This attribute specifies a link to a long description of the frame.
    `void` | `setMarginHeight(int marginHeight)` Sets the width of the frame margin.
    `void` | `setMarginWidth(int marginWidth)` Sets the width of the frame margin.
    `void` | `setName(String name)` Sets the name used to identify this frame
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setScrolling(String scrolling)` Sets whether or not scrollbars are available on this frame.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the bean.
    `void` | `setSource(String source)` Sets the URI for the source of this frame
    `void` | `setStyleClass(String styleClass)` Sets the CSS style class of the bean.
    `void` | `setWidth(String width)` Sets the proposed width of this frame This can be in pixels or percentage.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### SOURCE_KEY

          public static final PropertyKey SOURCE_KEY

    - #### LONG_DESC_URL_KEY

          public static final PropertyKey LONG_DESC_URL_KEY

    - #### NAME_KEY

          public static final PropertyKey NAME_KEY

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HEIGHT_KEY

          public static final PropertyKey HEIGHT_KEY

    - #### MARGIN_WIDTH_KEY

          public static final PropertyKey MARGIN_WIDTH_KEY

    - #### MARGIN_HEIGHT_KEY

          public static final PropertyKey MARGIN_HEIGHT_KEY

    - #### SCROLLING_KEY

          public static final PropertyKey SCROLLING_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlFrame

          public HtmlFrame()

      Construct an instance of the HtmlFrame.

    - #### HtmlFrame

          protected HtmlFrame(String rendererType)

      Construct an instance of the HtmlFrame.

  - ### Method Detail

    - #### getSource

          public final String getSource()

      Gets the URI for the source of this frame

      This is a required property on the component.

      Returns:
        the new source value

    - #### setSource

          public final void setSource(String source)

      Sets the URI for the source of this frame

      This is a required property on the component.

      Parameters:
        `source` - the new source value

    - #### getLongDescURL

          public final String getLongDescURL()

      Gets
      This attribute specifies a link to a long description of the frame. This description should supplement the short description provided using the `shortDesc` attribute, and may be particularly useful for non-visual user agents.
      Returns:
        the new longDescURL value

    - #### setLongDescURL

          public final void setLongDescURL(String longDescURL)

      Sets
      This attribute specifies a link to a long description of the frame. This description should supplement the short description provided using the `shortDesc` attribute, and may be particularly useful for non-visual user agents.
      Parameters:
        `longDescURL` - the new longDescURL value

    - #### getName

          public final String getName()

      Gets the name used to identify this frame
      Returns:
        the new name value

    - #### setName

          public final void setName(String name)

      Sets the name used to identify this frame
      Parameters:
        `name` - the new name value

    - #### getWidth

          public final String getWidth()

      Gets the proposed width of this frame This can be in pixels or percentage. This attribute is used only if this frame is a left/right facet of a frameBorderLayout component.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets the proposed width of this frame This can be in pixels or percentage. This attribute is used only if this frame is a left/right facet of a frameBorderLayout component.
      Parameters:
        `width` - the new width value

    - #### getHeight

          public final String getHeight()

      Gets the proposed height of this frame. This can be in pixels or percentage. This attribute is used only if this frame is a top/bottom facet of a frameBorderLayout component.
      Returns:
        the new height value

    - #### setHeight

          public final void setHeight(String height)

      Sets the proposed height of this frame. This can be in pixels or percentage. This attribute is used only if this frame is a top/bottom facet of a frameBorderLayout component.
      Parameters:
        `height` - the new height value

    - #### getMarginWidth

          public final int getMarginWidth()

      Gets the width of the frame margin. The value must be greater than zero (pixels).
      Returns:
        the new marginWidth value

    - #### setMarginWidth

          public final void setMarginWidth(int marginWidth)

      Sets the width of the frame margin. The value must be greater than zero (pixels).
      Parameters:
        `marginWidth` - the new marginWidth value

    - #### getMarginHeight

          public final int getMarginHeight()

      Gets the width of the frame margin. The value must be greater than zero (pixels).
      Returns:
        the new marginHeight value

    - #### setMarginHeight

          public final void setMarginHeight(int marginHeight)

      Sets the width of the frame margin. The value must be greater than zero (pixels).
      Parameters:
        `marginHeight` - the new marginHeight value

    - #### getScrolling

          public final String getScrolling()

      Gets
      whether or not scrollbars are available on this frame. Valid values for this attribute are the following constants:
      "yes" specifies that scrollbars are always available.
      "no" specifies that scrollbars are never available.
      "auto" specifies that the browser determines whether to display scroll bars based on the size of the frame and its content. If you do not specify a value for scrolling, the default value is "auto"
      Returns:
        the new scrolling value

    - #### setScrolling

          public final void setScrolling(String scrolling)

      Sets
      whether or not scrollbars are available on this frame. Valid values for this attribute are the following constants:
      "yes" specifies that scrollbars are always available.
      "no" specifies that scrollbars are never available.
      "auto" specifies that the browser determines whether to display scroll bars based on the size of the frame and its content. If you do not specify a value for scrolling, the default value is "auto"
      Parameters:
        `scrolling` - the new scrolling value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getStyleClass

          public final String getStyleClass()

      Gets the CSS style class of the bean.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets the CSS style class of the bean.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the inline CSS style for this element
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the inline CSS style for this element
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.